fenics-basix (0.11.0-1exp2) experimental; urgency=medium

  [ Drew Parsons ]
  * add missing entries to debian/copyright
    - debian/*, Drew Parsons, MIT (following main source licence)
    - test/test_elements.py (from FFCx), Anders Logg, Garth N. Wells,
      Marie E. Rognes, Lizao Li, Matthew Scroggs, LGPL3+
    - cpp/basix/math.h, Igor Baratta and Garth N. Wells, LGPL3+
    - cpp/basix/types.h, Paul T. Kühner, LGPL3+
    - cpp/basix/mdspan.hpp, National Technology & Engineering
      Solutions of Sandia, LLC (NTESS), Apache-2.0-WITH-LLVM-exception

  [ Francesco Ballarin ]
  * Update my email address.
  * Reflow Uploaders field (cme)
  * Remove Priority field (cme)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Drop 'Rules-Requires-Root: no' from d/control (routine-update)
  * Set upstream metadata fields: Bug-Database, Repository-Browse.
  * Use dh-sequence-* build dependencies instead of dh --with: sphinxdoc.
  * debputy lint --auto-fix (routine-update)
  * Add python3-pydata-sphinx-theme to Build-Depends
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Francesco Ballarin <ballarin@debian.org>  Thu, 13 Aug 2026 14:36:23 +0000

fenics-basix (0.11.0-1exp1) experimental; urgency=medium

  * New upstream release
    - new ABI 0.11
    - Depends: python3-ufl (>= 2026.1.0~)
    - deprecates debian patch python_local_LICENSE.patch
  * run build-time python tests against all supported python versions
  * after dh_auto_clean, remove generated python doc files (_autosummary)
  * Standards-Version: 4.7.4

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Jun 2026 17:41:26 +0200

fenics-basix (0.10.0.post0-2) unstable; urgency=medium

  * drop debian patch fix_doc_comments.patch (applied upstream)

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 09:47:30 +0100

fenics-basix (0.10.0.post0-1exp3) experimental; urgency=medium

  * hppa: skip test_macroedge[1-CellType.tetrahedron]
    p-machines (pasta,pacific,pad) fail while s-machines (sap) pass.
    More likely a bug in gcc than basix. See upstream basix Issue#979.
  * debian patch hurd_no_RUNTIME_DEPENDENCY_SET.patch drops unsupported
    RUNTIME_DEPENDENCY_SET on hurd

 -- Drew Parsons <dparsons@debian.org>  Mon, 08 Dec 2025 12:39:13 +0100

fenics-basix (0.10.0.post0-1exp2) experimental; urgency=medium

  * update versioned Build-Depends: python3-nanobind (>= 2.5.0~)

 -- Drew Parsons <dparsons@debian.org>  Sun, 30 Nov 2025 20:19:14 +0100

fenics-basix (0.10.0.post0-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 0.10.
    - Depends: python3-ufl (>= 2025.2.0~)
  * debian/test: monitor and skip slowest tests on armel alongside
    riscv64. Thanks Colin Watson. Closes: #1090766
  * update debian/watch to Version 5 format for GitHub.
    Needed to catch .post0 releases.

 -- Drew Parsons <dparsons@debian.org>  Wed, 12 Nov 2025 11:00:49 +0100

fenics-basix (0.9.0-5) unstable; urgency=medium

  * debian patch fix_doc_comments.patch fixes unclosed block in
    comments preventing doc build. cf. upstream PR#877.
    Closes: #1122412

 -- Drew Parsons <dparsons@debian.org>  Mon, 15 Dec 2025 17:09:45 +0100

fenics-basix (0.9.0-4) unstable; urgency=medium

  * update Breaks: python3-dolfinx (<< 1:0.9.0-8~),
    python3-dolfinx-mpc (<< 0.9.3-2~), python3-scifem (<< 0.10.0-1~)
    to allow for breakage of old packages built
    with old nanobind 2.5 (api15). Closes: #1117555.

 -- Drew Parsons <dparsons@debian.org>  Wed, 08 Oct 2025 11:25:19 +0200

fenics-basix (0.9.0-3) unstable; urgency=medium

  * debian patch python_depends_nanobind.patch adds nanobind to python
    dependencies (pyproject.toml) so dh_python3 catches the nanobind ABI.
    See nanobind transition Bug#1111004.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Wed, 10 Sep 2025 12:53:06 +0200

fenics-basix (0.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * Drop python3-basix Recommends: python3-numba, since numba is not available
    on all arches and is sometimes problematic on debci
  * Fix lower bound on fenics-ufl in python3-basix: it must be 2024.2.0~, and
    not 2024.1.0~.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 05 Nov 2024 08:04:26 +0000

fenics-basix (0.9.0-1exp1) experimental; urgency=medium

  * New upstream release 0.9.0:
    - new ABI 0.9
  * Refresh the following patches
    - cmake_shared_library.patch
    because they failed to apply on the new release.
  * Refresh the following patches
    - find_generic_blas.patch
    - python_local_LICENSE.patch
    - skip_runpath.patch
    to ensure that the apply without fuzz on the new release.
  * Drop the following patches
    - PR825.diff
    because they were included upstream in the new release.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 20 Oct 2024 13:29:44 +0000

fenics-basix (0.8.0-9) unstable; urgency=medium

  * rebuild against lastest nanobind. See Bug#1085019.

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2024 10:48:59 +0200

fenics-basix (0.8.0-8) unstable; urgency=medium

  * New release to force rebuild of python3-basix with GCC 14.
    The issue is that the nanobind wrappers shipped in the current python3-basix
    version 0.8.0-7 were built with GCC 13, and thus are incompatible with
    GCC 14 nanobind wrappers in python3-dolfinx (see Bug #1074951), as well as
    GCC 14 nanobind wrappers in python3-dolfinx-mpc (see Bug #1074920).

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 28 Aug 2024 09:34:21 +0000

fenics-basix (0.8.0-7) unstable; urgency=medium

  * python3-basix also breaks python3-dolfinx-real and python3-dolfinx-complex
  * Fix lower bound on fenics-ufl in python3-basix: it must be 2024.1.0~, and
    not 2023.2.0~.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 08 Jun 2024 12:42:21 +0000

fenics-basix (0.8.0-6) unstable; urgency=medium

  * Add Breaks python3-dolfinx on python3-basix.
    Indeed, python3-basix since 0.8.0-3 is breaking dolfinx before 1:0.8.0-8
    because both basix and dolfinx python wrappers need to be compiled with
    nanobind 2.0

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 05 Jun 2024 08:56:36 +0000

fenics-basix (0.8.0-5) unstable; urgency=medium

  * Silence dpkg-architecture warning on stderr
      cannot determine CC system type, falling back to default (native
      compilation)
    on debci by adding gcc as a autokpgtest dependency

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Tue, 04 Jun 2024 13:32:17 +0000

fenics-basix (0.8.0-4) unstable; urgency=medium

  * Skip slowest tests on riscv64

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 02 Jun 2024 13:57:25 +0000

fenics-basix (0.8.0-3) unstable; urgency=medium

  * Build-Depends on nanobind >= 2.0.0~

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 15:38:37 +0000

fenics-basix (0.8.0-2exp2) experimental; urgency=medium

  * Add debian/patches/PR825.diff for compatibility with nanobind 2.0

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 07:50:03 +0000

fenics-basix (0.8.0-2exp1) experimental; urgency=medium

  * Standards-Version: 4.7.0 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * True goal of this upload is to trigger a rebuild with nanobind 2.0.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sat, 01 Jun 2024 07:25:45 +0000

fenics-basix (0.8.0-1) unstable; urgency=medium

  * New upstream release for FEniCSx 0.8
  * Add Francesco Ballarin to uploaders
  * Build-Depends on python3-ufl 2024.1.0
  * Refresh version number in README.Debian
  * Refresh fix_doc_build.patch
  * Explicitly disable tests when running pybuild, since they are manually run in
    execute_before_dh_python3
  * Update fix_doc_build.patch: add numba to autodoc_mock_imports, otherwise sphinx
    would fail on systems which do not support numba.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 25 Apr 2024 08:53:44 +0000

fenics-basix (0.8.0~git20240321.0315c73-1) experimental; urgency=medium

  * New upstream snapshot of v0.8.0 preview
    - new ABI 0.8
    - Build-Depends: python3-nanobind, python3-scikit-build-core
      instead of python3-pybind11, python3-skbuild
    - Build-Depends: python3-ufl (>= 2023.2.0+git20240402.d25a40d)
    - python docs built directly with python3 -m sphinx not makefile
  * debian/tests: test all supported python versions
  * copy LICENSE to python dir during python module build. Upstream's
    pyproject.toml uses a relative path ../LICENSE, but pybuild copies
    source and builds in tmp, missing the LICENSE file unless it is
    copied there. Use debian/patches/python_local_LICENSE.patch.

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Apr 2024 14:01:14 +0200

fenics-basix (0.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062553

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 04:38:54 +0000

fenics-basix (0.7.0-2) unstable; urgency=medium

  * Depends: python3-ufl (>= 2023.2.0~)

 -- Drew Parsons <dparsons@debian.org>  Mon, 30 Oct 2023 22:48:08 +0100

fenics-basix (0.7.0-1exp1) experimental; urgency=medium

  * New upstream release. ABI bump to 0.7.
    - applies or deprecates debian patches gcc13_fix.patch
      skip_flaky_arch_numba_tests.patch, test_numba_conditional.patch

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Oct 2023 17:14:54 +0200

fenics-basix (0.6.0-6) unstable; urgency=medium

  * source-only upload for migration to testing. Closes: #1043062.

 -- Drew Parsons <dparsons@debian.org>  Wed, 09 Aug 2023 10:15:34 +0200

fenics-basix (0.6.0-5) unstable; urgency=medium

  * gcc-13 patches evidently altered the ABI.
    Shift soname to 0.6gcc13 with project version 0.6.0.13

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jul 2023 13:32:04 +0200

fenics-basix (0.6.0-4) unstable; urgency=medium

  * debian patch gcc13_fix.patch enables build with gcc-13.
    Closes: #1037650.

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Jul 2023 00:13:52 +0200

fenics-basix (0.6.0-3) unstable; urgency=medium

  * python3-basix Depends: python3-ufl (>= 2023.1.0~)
    (for ufl.sobolevspace.HInf used in ufl_wrapper.py)

 -- Drew Parsons <dparsons@debian.org>  Tue, 27 Jun 2023 01:57:17 +0200

fenics-basix (0.6.0-2) unstable; urgency=medium

  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Jun 2023 15:23:44 +0200

fenics-basix (0.6.0-1exp1) experimental; urgency=medium

  * New upstream release
    - ABI bump to 0.6
    - versioned Build-Depends: python3-ufl (>= 2023.1.0~)

 -- Drew Parsons <dparsons@debian.org>  Sun, 15 Jan 2023 01:58:27 +0100

fenics-basix (0.5.1-1) unstable; urgency=medium

  * New upstream release.
    - versioned Build-Depends: python3-numpy (>= 1.21~)
    - provides pregenerated cpp/basix/docs.h

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Sep 2022 10:32:56 +0200

fenics-basix (0.5.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - requires C++20, no longer uses xtensor, xtl.
      Drop Build-Depends: libxtensor-dev, libxsimd-dev, xtl-dev.
    - ABI bump to libbasix0.5
  * use pyproject to build python module
    - Build-Depends: pybuild-plugin-pyproject, python3-skbuild
  * bump versioned Build-Depends: python3-pybind11 (>= 2.6.4~)
  * clean more build files with dh_clean override

 -- Drew Parsons <dparsons@debian.org>  Wed, 17 Aug 2022 14:35:26 +0200

fenics-basix (0.4.2-6) unstable; urgency=medium

  * use epoch with ffcx version.
    python3-basix Breaks: python3-ffcx (<< 1:0.4~)

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jul 2022 22:17:23 +0200

fenics-basix (0.4.2-5) unstable; urgency=medium

  * python3-basix Breaks: python3-ffcx (<< 0.4~)
    to facilitate migration to testing

 -- Drew Parsons <dparsons@debian.org>  Fri, 15 Jul 2022 11:03:17 +0200

fenics-basix (0.4.2-4) unstable; urgency=medium

  * set libbasix-dev Depends: libxtensor-dev, libxsimd-dev with
    versions that basix was built against.

 -- Drew Parsons <dparsons@debian.org>  Wed, 29 Jun 2022 18:32:41 +0200

fenics-basix (0.4.2-3) unstable; urgency=medium

  * add arm64 to list of xsimd-supported architectures.
    Should run fine with xsimd 0.8.1-3 and xtensor 0.24.
    armhf and i386 still fail xsimd tests so don't add them yet.
    Closes: #1013626.

 -- Drew Parsons <dparsons@debian.org>  Sat, 25 Jun 2022 13:04:28 +0200

fenics-basix (0.4.2-2) unstable; urgency=medium

  * push FEniCS-x 0.4 to unstable

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Jun 2022 12:45:08 +0200

fenics-basix (0.4.2-1exp2) experimental; urgency=medium

  * build python module also in arch-indep builds to enable doc build
    Closes: #1012022.

 -- Drew Parsons <dparsons@debian.org>  Sat, 04 Jun 2022 11:13:03 +0200

fenics-basix (0.4.2-1exp1) experimental; urgency=medium

  * New upstream release.
    - versioned Build-Depends: libxtensor-dev (>= 0.23.10~)
  * Build-Depends: python3-ufl not python3-fiat (used in tests)

 -- Drew Parsons <dparsons@debian.org>  Sun, 29 May 2022 18:49:49 +0200

fenics-basix (0.4.0-1exp1) experimental; urgency=medium

  * New upstream release.
    - drop Build-Depends: libxtensor-blas-dev
    - add Build-Depends: libblas-dev, liblapack-dev (or alternatives)
  * bump library soname to libbasix0.4
  * drop redundant debian patch build_any_xtensor.patch
  * debian/rules: use execute_after[before] instead of override_
  * debian patch python_cmake_options.patch enables extra cmake
    options to be provided to a standalone build of the python module
    i.e. to provide XTENSOR configuration to be consistent with the
    C++ library configuration.
  * update debian patch fix_doc_build.patch to build docs using
    local mathjax
  * point debian/pybuild.testfiles at test dir to enable pybuild tests
    for all supported python versions
  * Standards-Version: 4.6.1

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 May 2022 13:10:24 +0200

fenics-basix (0.3.0-12) unstable; urgency=medium

  * switch off all numba tests until numba is again available
    (currently removed due to python3.10 incompatibility)
    Closes: #1008522.

 -- Drew Parsons <dparsons@debian.org>  Fri, 01 Apr 2022 16:49:42 +0200

fenics-basix (0.3.0-11) unstable; urgency=medium

  * debian patch build_any_xtensor.patch allows building against more
    recent xtensor (and xsimd) versions. Removes xsimd detection
    (which is performed by the xtensor config files)
    cf. https://github.com/FEniCS/basix/issues/348
    - make xtl, xtensor, xtensor-blas required (don't fetch source)

 -- Drew Parsons <dparsons@debian.org>  Thu, 02 Dec 2021 17:19:37 +0100

fenics-basix (0.3.0-10) unstable; urgency=medium

  * skip numba tests on mipsel
  * debian patch reproducible_docs.diff makes the doc build
    reproducible. Thanks Chris Lamb. Closes: #996999.

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Oct 2021 18:06:12 +0200

fenics-basix (0.3.0-9) unstable; urgency=medium

  * drop arm64 from xsimd-supported arch list. xsimd fails tests on
    arm64 (see also xtensor xsimd support)

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Oct 2021 00:02:29 +0200

fenics-basix (0.3.0-8) experimental; urgency=medium

  * fix skip_flaky_arch_numba_tests.patch to import pytest first.
    Rename skip_armel_numba_tests.py as skip_flaky_arch_numba_tests.patch

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Oct 2021 19:15:37 +0200

fenics-basix (0.3.0-7) experimental; urgency=medium

  * rename debian patch skip_armel_numba_tests.py to
    skip_flaky_arch_numba_tests.py, and add s390x, ppc64 alongside
    armel as arches for which numba is available but not reliable.
    Skip these arches before testing if numba is available
    (test_numba_conditional.patch) since even just loading numba can
    trigger a segfault on these arches.

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Oct 2021 17:27:19 +0200

fenics-basix (0.3.0-6) experimental; urgency=medium

  * debian patch test_numba_conditional.patch skips test_numba.py if
    numba cannot be imported (it's not available on all arches).
  * explicitly switch xsimd support off except for arches where it
    is known to work (amd64, arm64; kfreebsd is untested).
    libxsimd-dev is available on some arches such as i386, m68k,
    but no xsimd instructions are actually available which causes
    problems with the basix build (warnings are treated as errors)

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Oct 2021 13:49:30 +0200

fenics-basix (0.3.0-5) experimental; urgency=medium

  * remove m68k, sh4 from xsimd list. They don't actually have any
    xsimd instructions (same problem as i386).
  * build python docs in arch-independent build
  * python3-basix Recommends: python3-numba

 -- Drew Parsons <dparsons@debian.org>  Sun, 10 Oct 2021 09:23:47 +0200

fenics-basix (0.3.0-4) experimental; urgency=medium

  * use numba only where available. Build-Depends: python3-numba
    [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x ppc64]
  * add :any to Build-Depends: python3-all-dev:any

 -- Drew Parsons <dparsons@debian.org>  Sat, 09 Oct 2021 23:46:02 +0200

fenics-basix (0.3.0-3) experimental; urgency=medium

  * debian patch skip_armel_numba_tests.py skips numba tests on armel
    (armv7l). Numba is flakey on armel, see Bug#994294.

 -- Drew Parsons <dparsons@debian.org>  Fri, 01 Oct 2021 16:33:35 +0200

fenics-basix (0.3.0-2) experimental; urgency=medium

  * drop x86 arches (i386 hurd-i386 x32) from xsimd support,
    tracking support in xtensor.

 -- Drew Parsons <dparsons@debian.org>  Mon, 27 Sep 2021 00:11:30 +0200

fenics-basix (0.3.0-1) experimental; urgency=medium

  * New upstream release.
    - dirs updated from basix/cpp to cpp/basix
    - source docs moved to doc subdir
  * Standards-Version: 4.6.0
  * Build with xsimd support (-DXTENSOR_USE_XSIMD=ON) where available
    Build-Depends: libxsimd-dev (>= 7.4.10~)
    [amd64 arm64 i386 hurd-i386 kfreebsd-any m68k sh4 x32]
  * debian patch fix_doc_build.patch fixes doc configuration
    (header.html changed to header.html.template)
    Needs doxygen -u to update obsolete tags.

 -- Drew Parsons <dparsons@debian.org>  Thu, 09 Sep 2021 03:19:20 +0300

fenics-basix (0.1.0-1) experimental; urgency=medium

  * update source package name to fenics-basix
    - update Vcs salsa paths
  * First official upstream release.
    - Build-Depends: xtl-dev (>= 0.7.0~)
    - Build-Depends: python3-numba (for tests)
    - deprecates debian patch include_path.patch
  * versioned Build-Depends: libxtensor-blas-dev (>= 0.19~)
  * update xtensor Build-Depends to libxtensor-dev
  * debian/rules clean removes basix/cpp/basix/version.h and
    python/build if present
  * run python tests using install dir not build dir

 -- Drew Parsons <dparsons@debian.org>  Thu, 27 May 2021 15:38:37 +0200

basix (0.0.1~git20210409.b980196-2) experimental; urgency=medium

  * provide python docs in basix-docs (built using sphinx)
    - doc-base points at python docs, index.html links to C++ docs
  * skip build-time tests if nocheck is set in DEB_BUILD_OPTIONS
  * override_dh_auto_clean removes python build and test dirs and
    generated cpp/docs

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Apr 2021 21:31:37 +0200

basix (0.0.1~git20210409.b980196-1) experimental; urgency=medium

  * New upstream snapshot.
    - uses xtensor and drops skbuild
  * Build-Depends: xtensor-dev (>= 0.23.4~), xtensor-blas-dev
    - xtensor-dev 0.23 implies xtl-dev (>= 0.7.0~), which is also
      required by basix (in CMakeLists.txt), but not used directly.
  * versioned Build-Depends: cmake (>= 3.16), xtensor-dev (>= 0.23~)
  * drop debian patch test_permutation_nedelec_32bit_xfail.patch
    (obsolete, test_permutations.py no longer exists)
  * add debian patches
    - skip_runpath.patch keeps RPATH from being injected into libraries
      built by cmake (in particular the python extension library)
    - find_generic_blas.patch instructs cmake to find generic libblas.so
  * set dh buildsystem to cmake rather than pybuild
    - libbasix-dev provides cmake config files
  * update doc generation
    - C++ API docs in cpp subdir
    - refresh mathjax external reference

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Apr 2021 13:17:37 +0200

basix (0.0.1~git20210305.fe8fada-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Drew Parsons <dparsons@debian.org>  Tue, 09 Mar 2021 00:39:59 +0100

basix (0.0.1~git20210122.4f10ef2-2) unstable; urgency=medium

  * document the need to split libbasix.so out of the python module
    into libbasix-dev and libbasix0 in README.Debian
  * debian patch test_permutation_nedelec_32bit_xfail.patch marks
    test_permutation_of_tabulated_data_tetrahedron on 32-bit systems
    with the "Nedelec 2nd kind H(curl)" [order 5] element as expected
    to fail. Treat this element as unsupported on 32-bit systems.
    Issue tracked at Bug#981901.
  * mark libbasix-dev, libbasix0 as Multi-Arch: same,
    basix-doc as Multi-Arch: foreign

 -- Drew Parsons <dparsons@debian.org>  Thu, 04 Feb 2021 22:41:26 +0100

basix (0.0.1~git20210122.4f10ef2-1) unstable; urgency=medium

  * Initial release (Closes: #981046)
  * Provide header file and libbasix.so* in libbasix-dev and libbasix0
    separated from python installation. Otherwise dh_python3 tags
    libbasix.so with a cython tag which will confuse ld.
  * add debian patches:
    - cmake_shared_library.patch
      adds SOVERSION to shared library and installs in
      ${CMAKE_INSTALL_LIBDIR} (i.e. arch-specific in usr/lib/<arch>)
    - include_path.patch
      configures basix python module's get_include_path() to
      "/usr/include", where basix.h has been installed.
  * exclude test_include from build-time tests
    (since /usr/include/basix.h not yet installed)

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Jan 2021 16:19:16 +0100
